lecture flus rtsp (multiposte free)

Le
Bulot Grégory
bonjour,

ça fait un petit moment que j'arrive pas à lire du flux rtsp
- vlc me fait un erreur de segmentation
- mplayer idem, sauf récupération des sources et compilation sur mon =
pc

J'essais donc de trouver un autre player capable :

- Helix player : hxplay "rtsp://mafreebox.freebox.fr/freeboxtv/stream?id=
=201"
/usr/bin/hxplay: line 68: 6179 Erreur de segmentation $HXPLAYBIN "$@"

- ??? d'autres ?

actuellement seul openRTSP fonctionne, sauf que j'aimerais d'abord pouvoir=

visualiser en direct mon flux (ce qui ne retire en rien l'apparente
déconcertante facilité d'utilisation de ce logiciel dont le but et
d'enregistrer un flux !!)



Vous utilisez quoi d'autres ?

PS : mon problème vlc et mplayer (en paquet debian ou debian-multimedia),=
ont
pour source mon pilote (nvidia et non nv) pour ma nvidia mx400, vu le mal q=
ue
j'ai a le réutiliser a chaque maj du noyau, pour l'instant j'y touche pas.
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bulot Grégory
Le #9623701
Le dimanche 14 octobre 2007 23:47, Bulot Grégory a écrit :
bonjour,

ça fait un petit moment que j'arrive pas à lire du flux rtsp
- vlc me fait un erreur de segmentation
- mplayer idem, sauf récupération des sources et compilation sur mon pc

J'essais donc de trouver un autre player capable :

- Helix player : hxplay
"rtsp://mafreebox.freebox.fr/freeboxtv/stream?id 1" /usr/bin/hxplay: line
68: 6179 Erreur de segmentation $HXPLAYBIN "$@"

- ??? d'autres ?

actuellement seul openRTSP fonctionne, sauf que j'aimerais d'abord pouvoir
visualiser en direct mon flux (ce qui ne retire en rien l'apparente
déconcertante facilité d'utilisation de ce logiciel dont le but et
d'enregistrer un flux !!)



Vous utilisez quoi d'autres ?

PS : mon problème vlc et mplayer (en paquet debian ou debian-multimedia ),
ont pour source mon pilote (nvidia et non nv) pour ma nvidia mx400, vu le
mal que j'ai a le réutiliser a chaque maj du noyau, pour l'instant j'y
touche pas.



bon, visiblement je suis le seul à avoir ce problème, j'imagine que je dois
faire un rapport de bug ... mais je suis pas à l'aise avec l'interface (e n
fait je ne me rappel même plus de l'adresse), si quelqu'un pourrait m'aid er à
le générer ?
Hugues LARRIVE
Le #9623621
This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig3FEFA591E056280A719C1D9F
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Bulot Grégory a écrit :
Le dimanche 14 octobre 2007 23:47, Bulot Grégory a écrit :

bonjour,

ça fait un petit moment que j'arrive pas à lire du flux rtsp
- vlc me fait un erreur de segmentation





Et plus précisément ?
- mplayer idem, sauf récupération des sources et compilation sur m on pc







...
Vous utilisez quoi d'autres ?





Rien d'autre, chez moi vlc et mplayer (debian) fonctionnent parfaitement
avec rtsp://mafreebox.freebox.fr/freeboxtv/stream?id 1
(là c'est une redif de "ça se discute").
PS : mon problème vlc et mplayer (en paquet debian ou debian-multime dia),
ont pour source mon pilote (nvidia et non nv) pour ma nvidia mx400,




J'ai presque la même carte :
$ lspci | grep -i nvidia
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX
440] (rev a3)

vu le
mal que j'ai a le réutiliser a chaque maj du noyau, pour l'instant j 'y
touche pas.







Après chaque mise à jour du noyau, par exemple linux-image-2.6.18-5-k 7,
et _avant_ de redémarrer sur le nouveau noyau je fais :
# m-a a-i -l 2.6.18-5-k7 nvidia-kernel-legacy-96xx

m-a c'est module-assistant si tu ne connaissais pas, c'est sûrement le
cas si tu as du mal...

Je suis sous etch mais j'utilise le driver nvidia de sid que j'ai
backporté pour faire fonctionner compiz.

J'ai déjà expliqué comment faire sur cette liste :
http://people.debian.org/~terpstra/message/20071025.103327.73642df9.en.ht ml

J'ai mis mes packages là : http://debian.hugueslarrive.net/nvidia/ si t u
es sous etch.

Si tu es sous lenny, il faut refaire la manipe que j'ai expliqué.

bon, visiblement je suis le seul à avoir ce problème, j'imagine que je dois
faire un rapport de bug ... mais je suis pas à l'aise avec l'interfac e (en
fait je ne me rappel même plus de l'adresse), si quelqu'un pourrait m 'aider à
le générer ?





L'adresse est bugs.debian.org pour debian, mais si ton problème vient
réellement du driver nvidia, c'est à nvidia qu'il faudrait le faire
( ;)) car les DD ne pourront rien pour toi vu qu'ils ne
disposent pas du source.


Voilà les packages que j'utilise :
~$ apt-cache policy nvidia-kernel-legacy-96xx-2.6.18-5-k7
nvidia-kernel-legacy-96xx-2.6.18-5-k7:
Installé : 96.43.01-2+2.6.18.dfsg.1-13etch4
Candidat : 96.43.01-2+2.6.18.dfsg.1-13etch4
Table de version :
*** 96.43.01-2+2.6.18.dfsg.1-13etch4 0
100 /var/lib/dpkg/status
vlc:
Installé : 0.8.6-svn20061012.debian-5etch1
Candidat : 0.8.6-svn20061012.debian-5etch1
Table de version :
0.8.6.c-3+b1 0
500 http://ftp.fr.debian.org sid/main Packages
*** 0.8.6-svn20061012.debian-5etch1 0
990 http://security.debian.org etch/updates/main Packages
100 /var/lib/dpkg/status
0.8.6-svn20061012.debian-5 0
990 http://ftp.fr.debian.org etch/main Packages
mplayer:
Installé : 1.0~rc1-12etch1
Candidat : 1.0~rc1-12etch1
Table de version :
1.0~rc2-6 0
500 http://ftp.fr.debian.org sid/main Packages
*** 1.0~rc1-12etch1 0
990 http://security.debian.org etch/updates/main Packages
990 http://ftp.fr.debian.org etch/main Packages
100 /var/lib/dpkg/status
nvidia-glx-legacy-96xx:
Installé : 96.43.01-2
Candidat : 96.43.01-2
Table de version :
96.43.01-2 0
500 http://ftp.fr.debian.org sid/non-free Packages
*** 96.43.01-2 0
100 /var/lib/dpkg/status
nvidia-kernel-legacy-96xx-source:
Installé : 96.43.01-2
Candidat : 96.43.01-2
Table de version :
*** 96.43.01-2 0
500 http://ftp.fr.debian.org sid/non-free Packages
100 /var/lib/dpkg/status
compiz:
Installé : 0.2.2-1
Candidat : 0.2.2-1
Table de version :
0.6.3~git20071104.c9009efd-1 0
500 http://ftp.fr.debian.org sid/main Packages
*** 0.2.2-1 0
990 http://ftp.fr.debian.org etch/main Packages
100 /var/lib/dpkg/status



--------------enig3FEFA591E056280A719C1D9F
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHSOshNdTZuHWpgVIRAifyAJ0QCTBuny8cBPEfSNVz7KeH4rp6OwCfY7xm
NV/mYWkRnk4NM3XcSB/3HMg =3XsU
-----END PGP SIGNATURE-----

--------------enig3FEFA591E056280A719C1D9F--


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Bulot Grégory
Le #9742871
Le dimanche 25 novembre 2007 04:25, Hugues LARRIVE a écrit :
Bulot Grégory a écrit :
> Le dimanche 14 octobre 2007 23:47, Bulot Grégory a écrit :
>> bonjour,
>>
>> ça fait un petit moment que j'arrive pas à lire du flux rtsp
>> - vlc me fait un erreur de segmentation

Et plus précisément ?



aucun autre message via une console virtuelle ! (c'est ça qui est frustra nt)


>> - mplayer idem, sauf récupération des sources et compilation sur m on pc



moi aussi cela fonctionne comme ça, mais du coup (comme je suis un peu l éger
la dessus) j'ai pas le rstp


J'ai presque la même carte :
$ lspci | grep -i nvidia
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX
440] (rev a3)



01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200 ]
(rev a1)

Après chaque mise à jour du noyau, par exemple linux-image-2.6.18-5-k 7,
et _avant_ de redémarrer sur le nouveau noyau je fais :
# m-a a-i -l 2.6.18-5-k7 nvidia-kernel-legacy-96xx



ah ok je vais m'y pencher ! là ça m'interresse. ne dois-je pas "nettoye r" la
partie pilote proprio, comment ?


m-a c'est module-assistant si tu ne connaissais pas, c'est sûrement le
cas si tu as du mal...



je connaissais, mais à l'époque "ça marchais pas (c)", de mémoire j e crois
qu'il y avait compilation via m-a, mais la compil plantait sur non
reconnaissance de carte (carte trop vieille ?)



Je suis sous etch mais j'utilise le driver nvidia de sid que j'ai
backporté pour faire fonctionner compiz.



Etch aussi, mais compiz ne m'intérresse pas ... je pense pas dans ce cas avoir
besoin des pilotes de sid

L'adresse est bugs.debian.org pour debian, mais si ton problème vient
réellement du driver nvidia, c'est à nvidia qu'il faudrait le faire
( ;)) car les DD ne pourront rien pour toi vu qu'ils ne
disposent pas du source.



c'est pas faux, j'ai pas suffisament réfléchi au problème visisblemen t !



Voilà les packages que j'utilise :
~$ apt-cache policy nvidia-kernel-legacy-96xx-2.6.18-5-k7
nvidia-kernel-legacy-96xx-2.6.18-5-k7:
Installé : 96.43.01-2+2.6.18.dfsg.1-13etch4
Candidat : 96.43.01-2+2.6.18.dfsg.1-13etch4
Table de version :
*** 96.43.01-2+2.6.18.dfsg.1-13etch4 0
100 /var/lib/dpkg/status
vlc:
Installé : 0.8.6-svn20061012.debian-5etch1
Candidat : 0.8.6-svn20061012.debian-5etch1
Table de version :
0.8.6.c-3+b1 0
500 http://ftp.fr.debian.org sid/main Packages
*** 0.8.6-svn20061012.debian-5etch1 0
990 http://security.debian.org etch/updates/main Packages
100 /var/lib/dpkg/status
0.8.6-svn20061012.debian-5 0
990 http://ftp.fr.debian.org etch/main Packages
mplayer:
Installé : 1.0~rc1-12etch1
Candidat : 1.0~rc1-12etch1
Table de version :
1.0~rc2-6 0
500 http://ftp.fr.debian.org sid/main Packages
*** 1.0~rc1-12etch1 0
990 http://security.debian.org etch/updates/main Packages
990 http://ftp.fr.debian.org etch/main Packages
100 /var/lib/dpkg/status
nvidia-glx-legacy-96xx:
Installé : 96.43.01-2
Candidat : 96.43.01-2
Table de version :
96.43.01-2 0
500 http://ftp.fr.debian.org sid/non-free Packages
*** 96.43.01-2 0
100 /var/lib/dpkg/status
nvidia-kernel-legacy-96xx-source:
Installé : 96.43.01-2
Candidat : 96.43.01-2
Table de version :
*** 96.43.01-2 0
500 http://ftp.fr.debian.org sid/non-free Packages
100 /var/lib/dpkg/status
compiz:
Installé : 0.2.2-1
Candidat : 0.2.2-1
Table de version :
0.6.3~git20071104.c9009efd-1 0
500 http://ftp.fr.debian.org sid/main Packages
*** 0.2.2-1 0
990 http://ftp.fr.debian.org etch/main Packages
100 /var/lib/dpkg/status



apt-cache policy nvidia-kernel-legacy-96xx-2.6.18-5-k7 vlc mplayer
vlc:
Installé : 0.8.6-svn20061012.debian-5etch1
Candidat : 0.8.6-svn20061012.debian-5etch1
Table de version :
*** 0.8.6-svn20061012.debian-5etch1 0
500 http://security.debian.org etch/updates/main Packages
100 /var/lib/dpkg/status
0.8.6-svn20061012.debian-5 0
500 http://ftp.fr.debian.org etch/main Packages
mplayer:
Installé : 1.0~rc1-12etch1
Candidat : 1.0~rc1-12etch1
Table de version :
1.0~rc1-12etch1 0
500 http://ftp.fr.debian.org etch/main Packages
500 http://security.debian.org etch/updates/main Packages
*** 1.0~rc1-12etch1 0
100 /var/lib/dpkg/status
W: Impossible de trouver le paquet nvidia-kernel-legacy-96xx-2.6.18-5-k7
mplayer:
Installé : 1.0~rc1-12etch1
Candidat : 1.0~rc1-12etch1
Table de version :
1.0~rc1-12etch1 0
500 http://ftp.fr.debian.org etch/main Packages
500 http://security.debian.org etch/updates/main Packages
*** 1.0~rc1-12etch1 0
100 /var/lib/dpkg/status
Publicité
Poster une réponse
Anonyme